#ifndef UPDATER_H
#define UPDATER_H

#include <Thread.h>

using namespace Framework;

class KartenServer;

class Updater : private Thread
{
private:
    KartenServer *ks;
    bool beenden;
    int ref;

public:
    // Konstruktor
    Updater( KartenServer *kServ );
    // Destruktor
    virtual ~Updater();
    // nicht constant
    void thread() override;
    // Reference Counting
    Updater *getThis();
    Updater *release();
};

#endif